# LSM Gulp Sample

## Quickstart
1. Copy the contents of this repo into a new project folder.
2. Using the command line, run `npm install` from the project root.
3. For development, run `npm run start`; hot-reloading is enabled.
4. Replace and edit files as needed (see details below).
5. To deply, run `npm run build`, and deploy the `public` folder.

## Development

### HTML
- Adjust as needed within `src`.
- Additional HTML files can be added to the `src` directly, or to subfolders within `src`.
- Preserve the `styles.css` reference in the header.
- Preserve the `app.js` reference near the closing `</body>` tag.

### Styles
- During development, write styles in SCSS, from `src/style`.
- Add files as needed.
- Files will be concatenated during the build process, and compiled to CSS.

### JS
- Scripts should be added to `src/js`, and any new script files imported in `src/index.js`.
- ES6 modules can be used.
- Files will be concatenated and compiled into `app.js`, referenced by `index.html`.

## Editing the public folder
- The files in the public folder that are deployed can be edited directly.
- These files are tracked by git.
- If you work with someone who only edits the public folder directly, you will need to keep track of changes they make, and incorporate what they do into the appropriate files within `src`.